<?php

namespace App\Http\Controllers;

use App\Categorie;
use App\Commande;
use App\Devise;
use App\Produit;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CategorieController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function Categorie(){
        $Categorie=Categorie::OrderBy('libelleCategorie','asc')->get();
        return view('Produit.type',compact('Categorie'));
    }

    public function addTypeProduit(Request $request){
       $add=new Categorie();
       $add->libelleCategorie=$request->input('libelle');
        $add->description=$request->input('description');
        $add->etat=1;
        //vérification du doublon
        $v=Categorie::where('libelleCategorie','=',$add->libelleCategorie)->get();
        if(count($v)>0){
            return back()->with("info","Désolé, cette catégorie $add->libelleCategorie existe déjà.");
        }else{
            $add->save();
            return back()->with("info","La catégorie $add->libelleCategorie a été ajouté avec succès.");
        }
    }

    public function updateTypeProduit($id, Request $request){
        $add=Categorie::find(decrypt($id));
        $add->libelleCategorie=$request->input('libelle');
        $add->description=$request->input('description');
        $add->etat=1;
        //vérification du doublon
        $v=Categorie::where('libelleCategorie','=',$add->libelleCategorie)->get();
        if(count($v)>1){
            return back()->with("info","Désolé, cette catégorie $add->libelleCategorie existe déjà.");
        }else{
            $add->save();
            return back()->with("info","La catégorie $add->libelleCategorie a été modifié avec succès.");
        }
    }

    public function deleteCategorie($id){
        Categorie::destroy(decrypt($id));
        return back()->with("info","La catégorie a été supprimé avec succès.");
    }

    public function Produits(){
        $Devise=Devise::Orderby('libelleDevise','asc')->get();
        $categorie=Categorie::OrderBy('libelleCategorie','asc')->get();
        $produit=Produit::OrderBy('produit','asc')->get();
       return view('Produit.produit',compact('categorie','Devise','produit'));
    }

    public function AddProduit(Request $request){
        $add=new Produit();
        $add->produit=strtoupper($request->input('nom'));
        $add->description=$request->input('description');
        $add->prix=$request->input('frais');
        $add->etat=1;
        $add->idDevise=$request->input('devise');
        $add->idCategorie=$request->input('typeProduit');
        //selection de la banque
        $User=User::find(Auth::user()->getAuthIdentifier());
        $add->idBanque=$User->banque;
        $add->idAgent=Auth::user()->getAuthIdentifier();
        //vérification du doublon
        $v=Produit::where('produit','=',$add->produit)->get();
        if(count($v)>0){
            return back()->with("info","Désolé, ce produit $add->produit existe déjà.");
        }else{
            $add->save();
            return back()->with("info","Le produit $add->produit a été ajouté avec succès.");
        }
    }

    public function UpdateProduit($id,Request $request){
        $add=Produit::find(decrypt($id));
        $add->produit=strtoupper($request->input('nom'));
        $add->description=$request->input('description');
        $add->prix=$request->input('frais');
        $add->etat=1;
        $add->idDevise=$request->input('devise');
        $add->idCategorie=$request->input('typeProduit');
        //selection de la banque
        $User=User::find(Auth::user()->getAuthIdentifier());
        $add->idBanque=$User->banque;
        $add->idAgent=Auth::user()->getAuthIdentifier();
        //vérification du doublon
        $v=Produit::where('produit','=',$add->produit)->get();
        if(count($v)>1){
            return back()->with("info","Désolé, ce produit $add->produit existe déjà.");
        }else{
            $add->save();
            return back()->with("info","Le produit $add->produit a été modifié avec succès.");
        }
    }

    public function deleteProduit($id){
        Produit::destroy(decrypt($id));
        return back()->with("info","Le produit a été supprimé avec succès.");
    }

    public function Commandes(){
        $Client=User::OrderBy('nomClient','asc')
            ->where('poste','=',0)
            ->get();
        return view('Produit.precommande',compact('Client'));
    }

    public function LancerCommande($id){
        //vérification de la personne
        $User=User::find(decrypt($id));
        if($User){
            $produit=Produit::OrderBy('produit','asc')->get();
            return view('Produit.commande',compact('produit','User'));
        }else{
            return back()->with("info","Désolé pour ce client.");
        }
    }

    public function addingCommande(Request $request){
        $add=new Commande();
        $add->matricule=0;
        $add->objet=$request->input('objet');
        $produit=Produit::find( $add->objet);
        $add->idCategorie=$produit->idCategorie;
        $add->dateCommande=date('Y-m-d');
        $add->etat=0;
        $add->idClient=$request->input('client');
        $add->idAgent=Auth::user()->getAuthIdentifier();
        $add->quantite=$request->input('quantite');
        $add->prix=$produit->prix;
        $add->total=$add->quantite*$add->prix;
        $add->devise=$produit->idDevise;
        $add->save();
        return back()->with("info","Commande ajoutée avec succès.");
    }

    public function enleverProduit($id){
        Commande::destroy(decrypt($id));
        return back()->with("info","Commande enlevée avec succès.");
    }

    public function boucleCommande($id){
         $commande=Commande::where('idClient','=',decrypt($id))
           ->where('etat','=',0)
             ->where('matricule','=',0)
             ->where('idAgent','=',Auth::user()->getAuthIdentifier())
             ->get();
         $matricule=rand(120000,99999999);
         foreach ($commande as $com){
             $add=Commande::find($com->id);
             $add->etat=1;
             $add->matricule=$matricule;
             $add->save();
         }

         $client=User::find(decrypt($id));
         return redirect('Commandes')->with("info","Commande N° $matricule bouclé avec succès pour le client $client->nomClient $client->prenomClient.");
    }

    public function ListCommande($id){
         $commande=Commande::where('idClient','=',decrypt($id))->get();
         $clienT=User::find(decrypt($id));
         return view('Produit.list',compact('commande','clienT'));
    }

    public function AfficherCommande(Request $request){
        $debut=date($request->input('Debut'));
        $fin=date($request->input('Fin'));
        $commande=Commande::where('dateCommande','>=',$debut)
            ->where('dateCommande','<=',$fin)
            ->get();
        return view('Produit.alllist',compact('commande','debut','fin'));
    }
}
