<?php

namespace App\Http\Controllers;

use App\Banque;
use Illuminate\Http\Request;

class BanqueController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function Banques(){
        $banque=Banque::OrderBy('nomBanque','asc')->get();
        return view('Banque.add',compact('banque'));
    }

    public function AddBanque(Request $request){
        $add=new Banque();
        $add->nomBanque=$request->input('banque');
        $add->adresseBanque=$request->input('adresse');
        $add->mailBanque=$request->input('email');
        $add->IBN=$request->input('ibn');
        $add->BIC=$request->input('bic');
        $add->CodeSWIFT=$request->input('swift');
        //vérification des doublons
        $nomB=Banque::where('nomBanque','=',$add->nomBanque)->get();
        $ibn=Banque::where('IBN','=',$add->IBN)->get();
        $bic=Banque::where('BIC','=',$add->BIC)->get();
        $swift=Banque::where('CodeSWIFT','=',$add->CodeSWIFT)->get();
        if(count($nomB)>0){
            return back()->with("info","Désolé, la banque $add->nomBanque existe déjà.");
        }else{
            if(count($ibn)>0){
                return back()->with("info","Désolé, le ibn $add->IBN existe déjà.");
            }else{
                if(count($bic)>0){
                    return back()->with("info","Désolé, le ibn $add->BIC existe déjà.");
                }else{
                    if(count($swift)>0){
                        return back()->with("info","Désolé, le code swift $add->CodeSWIFT existe déjà.");
                    }else{
                        $add->save();
                        return back()->with("info","La banque $add->nomBanque a été ajoutée avec succès.");
                    }
                }
            }
        }
    }

    public function UpdateBanque($id, Request $request){
        $add=Banque::find(decrypt($id));
        $add->nomBanque=$request->input('banque');
        $add->adresseBanque=$request->input('adresse');
        $add->mailBanque=$request->input('email');
        $add->IBN=$request->input('ibn');
        $add->BIC=$request->input('bic');
        $add->CodeSWIFT=$request->input('swift');
        //vérification des doublons
        $nomB=Banque::where('nomBanque','=',$add->nomBanque)->get();
        $ibn=Banque::where('IBN','=',$add->IBN)->get();
        $bic=Banque::where('BIC','=',$add->BIC)->get();
        $swift=Banque::where('CodeSWIFT','=',$add->CodeSWIFT)->get();
        if(count($nomB)>1){
            return back()->with("info","Désolé, la banque $add->nomBanque existe déjà.");
        }else{
            if(count($ibn)>1){
                return back()->with("info","Désolé, le ibn $add->IBN existe déjà.");
            }else{
                if(count($bic)>1){
                    return back()->with("info","Désolé, le ibn $add->BIC existe déjà.");
                }else{
                    if(count($swift)>1){
                        return back()->with("info","Désolé, le code swift $add->CodeSWIFT existe déjà.");
                    }else{
                        $add->save();
                        return back()->with("info","La banque $add->nomBanque a été modifiée avec succès.");
                    }
                }
            }
        }
    }

    public function deleteBanque($id){
        Banque::destroy(decrypt($id));
        return back()->with("info","La banque a été supprimé avec succès.");
    }
}
