<?php

namespace App\Http\Controllers;

use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class ClientController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function Clients(){
        $Client=User::OrderBy('nomClient','asc')
            ->where('poste','=',0)
            ->get();
        $Pays=DB::table('pays')->get();
        return view('Client.add',compact('Client','Pays'));
    }

    public function AddClient(Request $request){
        $add=new User();
        $add->cibClient=$request->input('cib');
        $add->nomClient=strtoupper($request->input('nom'));
        $add->prenomClient=$request->input('prenom');
        $add->adresseClient=$request->input('adresse');
        $add->contactClient=$request->input('contact');
        $add->statusClient=1;
        $add->codePostalClient=$request->input('postale');;
        $add->paysClient=strtoupper($request->input('pays'));
        $add->villeClient=$request->input('ville');
        $add->email=$request->input('email');
        $pass="1234";
        $add->password=Hash::make($pass);
        $add->poste=0;
        $add->societeClient=$request->input('societe');
        $add->banque=0;

        //vérification du doublon
        $nom=User::where('nomClient','=',$add->nomClient)
            ->where('prenomClient','=',$add->prenomClient)
            ->get();
        $contact=User::where('contactClient','=',$add->contactClient)->get();
        $email=User::where('email','=',$add->email)->get();
        if(count($nom)>0){
            return back()->with("info","Désolé, le client $add->nomClient $add->prenomClient existe déjà dans la base.");
        }else{
            if(count($contact)>0){
                return back()->with("info","Désolé, le contact $add->contactClient existe déjà dans la base.");
            }else{
                if(count($email)>0){
                    return back()->with("info","Désolé, l'e-mail $add->email existe déjà dans la base.");
                }else{
                    $add->save();
                    return back()->with("info","Le client $add->nomClient $add->prenomClient a été ajouté avec succès.");
                }
            }
        }
    }

    public function UpdateClient($id,Request $request){
        $add=User::find(decrypt($id));
        $add->nomClient=strtoupper($request->input('nom'));
        $add->prenomClient=$request->input('prenom');
        $add->adresseClient=$request->input('adresse');
        $add->contactClient=$request->input('contact');
        $add->statusClient=$request->input('status');
        $add->codePostalClient=$request->input('postale');;
        $add->paysClient=strtoupper($request->input('pays'));
        $add->villeClient=$request->input('ville');
        $add->email=$request->input('email');
        $add->societeClient=$request->input('societe');
        //vérification du doublon
        $nom=User::where('nomClient','=',$add->nomClient)
            ->where('prenomClient','=',$add->prenomClient)
            ->get();
        $contact=User::where('contactClient','=',$add->contactClient)->get();
        $email=User::where('email','=',$add->email)->get();
        if(count($nom)>0){
            return back()->with("info","Désolé, le client $add->nomClient $add->prenomClient existe déjà dans la base.");
        }else{
            if(count($contact)>0){
                return back()->with("info","Désolé, le contact $add->contactClient existe déjà dans la base.");
            }else{
                if(count($email)>0){
                    return back()->with("info","Désolé, l'e-mail $add->email existe déjà dans la base.");
                }else{
                    $add->save();
                    return back()->with("info","Infos du client $add->nomClient $add->prenomClient modifié avec succès.");
                }
            }
        }
    }

    public function deleteClient($id){
        User::destroy(decrypt($id));
        return back()->with("info","Client supprimé avec succès.");
    }

    public function deconnexion(){
        Auth::logout();
        return view('auth.login');
    }
}
