<?php

namespace App\Http\Controllers;

use App\Account;
use App\Carte;
use App\Typeaccount;
use App\Typecarte;
use App\User;
use Illuminate\Http\Request;

class TypeaccountController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function TypeAccount(){
        $type=Typeaccount::OrderBy('typeCompte','asc')->get();
        return view('Account.type',compact('type'));
    }

    public function AddTypeAccount(Request $request){
        $add=new Typeaccount();
        $add->typeCompte=strtoupper($request->input('libelle'));
        $add->description=$request->input('description');
        //vérification du doublon
        $v=Typeaccount::where('typeCompte','=',$add->typeCompte)->get();
        if(count($v)>0){
            return back()->with("info","Désolé, Le type de compte $add->typeCompte exite déjà.");
        }else{
            $add->save();
            return back()->with("info","Le type de compte $add->typeCompte a été enrégistré avec succès.");
        }
    }

    public function UpdateTypeAccount($id, Request $request){
        $add=Typeaccount::find(decrypt($id));
        $add->typeCompte=strtoupper($request->input('libelle'));
        $add->description=$request->input('description');
        //vérification du doublon
        $v=Typeaccount::where('typeCompte','=',$add->typeCompte)->get();
        if(count($v)>1){
            return back()->with("info","Désolé, Le type de compte $add->typeCompte exite déjà.");
        }else{
            $add->save();
            return back()->with("info","Le type de compte $add->typeCompte a été modifié avec succès.");
        }
    }

    public function deleteTypeAccount($id){
        Typeaccount::destroy(decrypt($id));
        return back()->with("info","Le type de compte a été supprimé avec succès.");
    }

    public function compte(){
        $type=Typeaccount::OrderBy('typeCompte','asc')->get();
        $account=Account::OrderBy('id','desc')->get();
        return view('Account.compte',compact('type','account'));
    }

    public function AddAccount(Request $request){
        //vérification du mail
        $email=User::where('email','=',$request->input('email'))->first();
        if($email){
            $add=new Account();
            $add->numeroCompte=$request->input('numeroCompte');
            $add->solde=0;
            $add->idTypeAccount=$request->input('type');
            $add->idClient=$email->id;
            $add->idBank=$email->banque;
            $add->etat=1;
            //vérification du doublon
            $v=Account::where('idClient','=',$add->idClient)
                ->where('idTypeAccount','=',$add->idTypeAccount)
                ->get();
            if(count($v)>0){
                return back()->with("info","Désolé, ce client dispose déjà d'un type de ce compte.");
            }else{
                $add->save();
                return back()->with("info","Compte créer avec succès.");
            }
        }else{
            return back()->with("info","Désolé, ce mail n'appartient à aucun client.");
        }
    }

    public function ChangeTypeAccount($id,Request $request){
        $add=Account::find(decrypt($id));
        $add->idTypeAccount=$request->input('type');
        $add->etat=$request->input('etat');
        //vérification du doublon
        $v=Account::where('idClient','=',$add->idClient)
            ->where('idTypeAccount','=',$add->idTypeAccount)
            ->get();
        if(count($v)>1){
            return back()->with("info","Désolé, ce client dispose déjà d'un type de ce compte.");
        }else{
            $add->save();
            return back()->with("info","Compte modifié avec succès.");
        }
    }

    public function deleteAccount($id){
        Account::destroy(decrypt($id));
        return back()->with("info","Compte supprimé avec succès.");
    }

    public function TypecarteSEPA(){
        $type=Typecarte::OrderBy('typeCarte','asc')->get();
        return view('Account.typecarte',compact('type'));
    }

    public function AddTypeCarte(Request $request){
        $add=new Typecarte();
        $add->typeCarte=strtoupper($request->input('libelle'));
        $add->frais=$request->input('frais');
        $add->etat=1;
        $add->description=$request->input('description');
        //vérification du type de carte
        $v=Typecarte::where('typeCarte','=',$add->typeCarte)->get();
        if(count($v)>0){
            return back()->with("info","Désolé, ce type de carte $add->typeCarte existe déjà.");
        }else{
            $add->save();
            return back()->with("info","Le type de carte $add->typeCarte a été ajouté avec succès.");
        }
    }

    public function UpdateTypeCarte($id,Request $request){
        $add=Typecarte::find(decrypt($id));
        $add->typeCarte=strtoupper($request->input('libelle'));
        $add->frais=$request->input('frais');
        $add->etat=$request->input('etat');;
        $add->description=$request->input('description');
        //vérification du type de carte
        $v=Typecarte::where('typeCarte','=',$add->typeCarte)->get();
        if(count($v)>1){
            return back()->with("info","Désolé, ce type de carte $add->typeCarte existe déjà.");
        }else{
            $add->save();
            return back()->with("info","Le type de carte $add->typeCarte a été modifié avec succès.");
        }
    }

    public function deleteTypeCarte($id){
        Typecarte::destroy(decrypt($id));
        return back()->with("info","Type de carte supprimé avec succès.");
    }

    public function carteSEPA(){
        $type=Typecarte::OrderBy('typeCarte','asc')->get();
        $carte=Carte::OrderBy('id','desc')->get();
        return view('Account.carte',compact('type','carte'));
    }

    public function CreateCarte(Request $request){
        $add=new Carte();
        $n1=$request->input('n1');
        $n2=$request->input('n2');
        $n3=$request->input('n3');
        $n4=$request->input('n4');
        $n="$n1-$n2-$n3-$n4";
        $add->numeroCarte=$n;
        $add->DateValidite=$request->input('dateExpiration');
        $add->CodeVerification=rand(1000,92189);
        $add->etat=1;
        $add->solde=0;
        $add->typeCarte=$request->input('type');
        //vérification du compte client
        $email=$request->input('email');
        $account=User::where('email','=',$email)->first();
        if($account){
            $add->idCompte=$account->id;
            //vérification de doublon
            $ver=Carte::where('numeroCarte','=',$n)->get();
            if(count($ver)>0){
                return back()->with("info","Erreur système. Refaite l'opération.");
            }else{
                $add->save();
                return back()->with("info","Compte crée avec succès.");
            }
        }else{
            return back()->with("info","Désolé, l'émail $email n'appartient a aucun compte.");
        }
    }

    public function deleteCarteSepa($id){
        Carte::destroy(decrypt($id));
        return back()->with("info","Carte supprimé avec succès.");
    }

    public function BloqueCarteSepa($id){
        $Carte=Carte::find(decrypt($id));
        $Carte->etat=0;
        $Carte->save();
        return back()->with("info","Carte bloquée avec succès.");
    }

    public function ActiverCarteSepa($id){
        $Carte=Carte::find(decrypt($id));
        $Carte->etat=1;
        $Carte->save();
        return back()->with("info","Carte débloquée avec succès.");
    }
}
