@extends('Dash.app')
@section('title')
    Type de Carte SEPA
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un type de carte
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Type de carte</th>
                <th>Description</th>
                <th>Frais</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                 @foreach($type as $i=>$t)
                     <tr>
                         <td>{{$i+1}}</td>
                         <td>{{$t->typeCarte}}</td>
                         <td>{{$t->description}}</td>
                         <td>{{$t->frais}} XOF</td>
                         <td>@if($t->etat==0) Bloqué @else Actif @endif</td>
                         <td>
                             <div class="btn-group dropup text-left">
                                 <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                 <ul class="dropdown-menu">
                                     <li><a data-toggle="modal" data-target="#exampleModal{{$i}}">Modifier</a></li>
                                     <li><a onclick="confirm('Voulez-vous supprimé ce type de carte ?')" href="{{route('deleteTypeCarte',Crypt::encrypt($t->id))}}">Supprimer</a></li>
                                 </ul>
                             </div>
                         </td>
                         <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du type de carte </h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="{{route('UpdateTypeCarte',Crypt::encrypt($t->id))}}">
                                             @csrf
                                             <label>Libelle Type de carte</label>
                                             <input type="text" value="{{$t->typeCarte}}" class="form-control" required name="libelle"><br>
                                             <label>Frais</label>
                                             <input type="number" value="{{$t->frais}}" class="form-control" required name="frais"><br>
                                             <label>Description</label>
                                             <textarea class="form-control" name="description">{{$t->description}}</textarea><br>
                                             <label>Etat du type de carte</label>
                                             <select class="form-control" required name="etat">
                                                 <option value="{{$t->etat}}">Cliquez pour changer @if($t->etat==0) Bloqué @else Actif @endif</option>
                                                 <option value="0">Bloquer</option>
                                                 <option value="1">Activer</option>
                                             </select><br>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un type de carte </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddTypeCarte')}}">
                        @csrf
                        <label>Libelle Type de carte</label>
                        <input type="text" class="form-control" required name="libelle"><br>
                        <label>Frais</label>
                        <input type="number" class="form-control" required name="frais"><br>
                        <label>Description</label>
                       <textarea class="form-control" name="description"></textarea><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection