@extends('Dash.app')
@section('title')
    Message
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un message
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th width="50%">Message</th>
                <th></th>
                <th>Auteur</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
               @foreach($message as $i=>$m)
                   <tr>
                       <td>{{$i+1}}</td>
                       <td>{{$m->message}}</td>
                       <td></td>
                       <td>
                           @php
                             $auteur=\App\User::find($m->idAgent);
                           @endphp
                           @if($auteur) {{$auteur->nomClient}} {{$auteur->prenomClient}} @else inconnu @endif
                       </td>
                       <td class="text-center">
                           <a data-toggle="modal" data-target="#exampleModal{{$m->id}}" title="Modifier" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                           <a onclick="return confirm('Voulez-vous supprimé ce message ?')" href="{{route('deleteMessage',Crypt::encrypt($m->id))}}" data-toggle="tooltip" title="Supprimer" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                       </td>
                       <div class="modal fade" id="exampleModal{{$m->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                           <div class="modal-dialog" role="document">
                               <div class="modal-content">
                                   <div class="modal-header" style="background-color: #1b4b72;color:white">
                                       <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du message</h5>
                                   </div>
                                   <div class="modal-body">
                                       <form method="post" action="{{route('UpdateMessage',Crypt::encrypt($m->id))}}">
                                           @csrf
                                           <label>Libelle message</label>
                                           <textarea class="form-control" name="message" required>{{$m->message}}</textarea>
                                           <div class="modal-footer">
                                               <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                               <input type="submit" class="btn btn-primary" value="Valider">
                                           </div>
                                       </form>
                                   </div>
                               </div>
                           </div>
                       </div>
                   </tr>
               @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un message</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddMessage')}}">
                        @csrf
                        <label>Libelle message</label>
                        <textarea class="form-control" name="message" required></textarea>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection