@extends('Dash.app')
@section('title')
    Commande
@endsection
@section('content')
    @if($Success=Session::get('info'))
    <div class="alert alert-success" role="alert">
       <strong>{{$Success}}</strong>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    @endif
    <div class="row">
        <div class="col-md-4">
            <div class="alert alert-info">Commande de {{$User->nomClient}} {{$User->prenomClient}}</div>
        </div>
        <div class="col-md-4">
            <a class="btn btn-danger btn-lg" href="{{route('CancelAllCommande',Crypt::encrypt($User->id))}}" onclick="return confirm('Voulez-vous vraiment tout annulé ?')">TOUT ANNULER</a>
        </div>
        <div class="col-md-4">
            @php
                $Commande=\App\Commande::where('idClient','=',$User->id)
                  ->where('etat','=',0)
                   ->get();
            @endphp
            @if(count($Commande)>0)
            <a href="{{route('boucleCommande',Crypt::encrypt($User->id))}}" class="btn btn-warning btn-lg">FINALISER LA COMMANDE</a>
            @endif
        </div>
    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="table-responsive">
                <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
                    <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th>Produit</th>
                        <th>Categorie</th>
                        <th>Prix</th>
                        <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($produit as $i=>$p)
                        <tr>
                            <td>{{$i+1}}</td>
                            <td>{{$p->produit}}</td>
                            <td>
                                @php
                                  $categorie=\App\Categorie::find($p->idCategorie);
                                @endphp
                                @if($categorie) {{$categorie->libelleCategorie}} @else inconnu @endif
                            </td>
                            <td>{{$p->prix}}</td>
                            <td>
                                <a class="btn btn-primary btn-sm" data-toggle="modal" data-target="#exampleModal{{$i}}">Ajouter</a>
                            </td>
                            <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header" style="background-color: #1b4b72;color:white">
                                            <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout du produit {{$p->produit}}</h5>
                                        </div>
                                        <div class="modal-body">
                                            <form method="post" action="{{route('addingCommande')}}">
                                                @csrf
                                                <input value="{{$User->id}}" name="client" type="hidden">
                                                <input name="objet" value="{{$p->id}}" type="hidden">
                                                <label>Quantite</label>
                                                <input type="number" min="1" name="quantite" class="form-control" required><br>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                                    <input type="submit" class="btn btn-primary" value="Valider">
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col-md-6">
            <table class="table table-bordered" style="border: 1px solid black">
                <thead>
                 <tr>
                     <td>#</td>
                     <th>Produit</th>
                     <th>Quantite</th>
                     <th>Total</th>
                     <td>Actions</td>
                 </tr>
                </thead>
                <tbody>
                @foreach($Commande as $i=>$C)
                   <tr>
                       <td>{{$i+1}}</td>
                       <td>
                           @php
                             $produit=\App\Produit::find($C->objet);
                             $devise=\App\Devise::find($produit->idDevise);
                           @endphp
                           @if($produit)
                               {{$produit->produit}}
                           @else
                           inconnu
                           @endif
                       </td>
                       <td>{{$C->quantite}}</td>
                       <td>{{$C->quantite*$produit->prix}} {{$devise->signe}}</td>
                       <td>
                           <a href="{{route('enleverProduit',Crypt::encrypt($C->id))}}" onclick="return confirm('Voulez-vous enlever ce produit ?')" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                       </td>
                   </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
@endsection