@extends('Dash.app')
@section('title')
    Fournisseurs
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <a class="btn btn-primary" href="{{route('ListeFournisseurs')}}">Liste des Fournisseurs</a><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th>E-mail</th>
                <th>Contact</th>
                <th>Adresse</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
            @foreach($Client as $i=>$u)
                <tr>
                    <td>{{$i+1}}</td>
                    <td>{{$u->nomClient}} {{$u->prenomClient}}</td>
                    <td>{{$u->email}}</td>
                    <td>{{$u->contactClient}}</td>
                    <td>{{$u->adresseClient}}</td>
                    <td>
                        @if($u->statusClient==0) Bloqué @else Actif @endif
                    </td>
                    <td>
                        <a data-toggle="modal" data-target="#exampleModal{{$i}}" class="btn btn-success btn-sm">Ajouter comme Fournisseur</a>
                    </td>
                    <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header" style="background-color: #1b4b72;color:white">
                                    <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification de {{$u->nomClient}} {{$u->prenomClient}}</h5>
                                </div>
                                <div class="modal-body">
                                    <form method="post" action="{{route('addFournisseur',Crypt::encrypt($u->id))}}">
                                        @csrf
                                        <label>Nom etablissement du fournisseur</label>
                                        <input type="text" required class="form-control" name="fournisseur"><br>
                                        <label>Adresse de l'établissement</label>
                                        <input type="text" required class="form-control" name="adresse"><br>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-success" data-dismiss="modal">Annuler</button>
                                            <input type="submit" class="btn btn-primary" value="Valider">
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endsection