@extends('Dash.app')
@section('title')
    Produits
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un Produit
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom du produit</th>
                <th>Description</th>
                <th>Frais</th>
                <th>Catégorie</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
             <tbody>
               @foreach($produit as $i=>$p)
                   <tr>
                       <td>{{$i+1}}</td>
                       <td>{{$p->produit}}</td>
                       <td>{{$p->description}}</td>
                       <td>{{$p->prix}}
                       @php
                         $devise=\App\Devise::find($p->idDevise);
                       @endphp
                           @if($devise) {{$devise->signe}} @else inconnu @endif
                       </td>
                       <td>
                           @php
                              $Cat=\App\Categorie::find($p->idCategorie);
                           @endphp
                           @if($Cat) {{$Cat->libelleCategorie}} @else inconnu @endif
                       </td>
                       <td>
                           @if($p->etat==0) Bloqué @else Actif @endif
                       </td>
                       <td class="text-center">
                           <a data-toggle="modal" data-target="#exampleModal{{$i}}" title="Modifier {{$p->produit}}" class="btn btn-effect-ripple btn-sm btn-success"><i class="fa fa-pencil"></i></a>
                           <a onclick="return confirm('Voulez-vous supprimer ce produit ?')" href="{{route('deleteProduit',Crypt::encrypt($p->id))}}" data-toggle="tooltip" title="Supprimer {{$p->produit}}" class="btn btn-effect-ripple btn-sm btn-danger"><i class="fa fa-times"></i></a>
                       </td>
                       <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                           <div class="modal-dialog" role="document">
                               <div class="modal-content">
                                   <div class="modal-header" style="background-color: #1b4b72;color:white">
                                       <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification d'un produit {{$p->produit}}</h5>
                                   </div>
                                   <div class="modal-body">
                                       <form method="post" action="{{route('UpdateProduit',Crypt::encrypt($p->id))}}">
                                           @csrf
                                           <label>Type du produit</label>
                                           <select class="form-control" required name="typeProduit">
                                               <option value="">Cliquez</option>
                                               @foreach($categorie as $c)
                                                   <option value="{{$c->id}}">{{$c->libelleCategorie}}</option>
                                               @endforeach
                                           </select><br>
                                           <label>Nom du produit</label>
                                           <input type="text" value="{{$p->produit}}" name="nom" class="form-control" required><br>
                                           <label>Description du produit</label>
                                           <textarea class="form-control" name="description">{{$p->description}}</textarea><br>
                                           <div class="row">
                                               <div class="col-md-6">
                                                   <label>Frais du produit</label>
                                                   <input type="number" min="0" name="frais" value="{{$p->prix}}" class="form-control" required><br>
                                               </div>
                                               <div class="col-md-6">
                                                   <label>Devise</label>
                                                   <select class="form-control" required name="devise">
                                                       <option value="{{$p->idDevise}}">Cliquez pour changer @if($devise) {{$devise->signe}} @else inconnu @endif</option>
                                                       @foreach($Devise as $c)
                                                           <option value="{{$c->id}}">{{$c->libelleDevise}}</option>
                                                       @endforeach
                                                   </select><br>
                                               </div>
                                           </div>
                                           <div class="modal-footer">
                                               <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                               <input type="submit" class="btn btn-primary" value="Valider">
                                           </div>
                                       </form>
                                   </div>
                               </div>
                           </div>
                       </div>
                   </tr>
               @endforeach
             </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un produit</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddProduit')}}">
                        @csrf
                        <label>Type du produit</label>
                        <select class="form-control" required name="typeProduit">
                            <option value="">Cliquez</option>
                            @foreach($categorie as $c)
                                <option value="{{$c->id}}">{{$c->libelleCategorie}}</option>
                            @endforeach
                        </select><br>
                        <label>Nom du produit</label>
                        <input type="text" name="nom" class="form-control" required><br>
                        <label>Description du produit</label>
                        <textarea class="form-control" name="description"></textarea><br>
                        <div class="row">
                            <div class="col-md-6">
                                <label>Frais du produit</label>
                                <input type="number" min="0" name="frais" class="form-control" required><br>
                            </div>
                            <div class="col-md-6">
                                <label>Devise</label>
                                <select class="form-control" required name="devise">
                                    <option value="">Cliquez</option>
                                    @foreach($Devise as $c)
                                        <option value="{{$c->id}}">{{$c->libelleDevise}}</option>
                                    @endforeach
                                </select><br>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection